## xindy 2.5.1.20160104

=== debian/changelog ===
xindy (2.5.1.20160104-8) unstable; urgency=medium

  New Upload to force rebuild (Closes: #934633)

  * Add me to Uploaders.
  * Fix Debian/watch file.
  * Bump Standards Version, no changes necessary.

 -- Hilmar Preusse <hille42@web.de>  Mon, 12 Aug 2019 22:20:18 +0200

xindy (2.5.1.20160104-7) unstable; urgency=medium

  * source only upload

 -- Norbert Preining <norbert@preining.info>  Fri, 19 Jul 2019 14:38:36 +0900

xindy (2.5.1.20160104-6) unstable; urgency=medium

  * update VCS, my email, standards version

 -- Norbert Preining <norbert@preining.info>  Sat, 02 Mar 2019 15:37:26 +0900

xindy (2.5.1.20160104-5) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Use clisp-memfile-hash instead of clisp-fasl-loader virtual dependency. See
    the discussion in #886986 for more details. (Closes: #896124)

  [ Norbert Preining ]
  * update VCS fields to Salsa

 -- Norbert Preining <preining@debian.org>  Fri, 20 Apr 2018 10:35:26 +0900

xindy (2.5.1.20160104-4) unstable; urgency=medium

  * rebuild for new clisp-fasl-loader

 -- Norbert Preining <preining@debian.org>  Mon, 23 Oct 2017 08:00:47 +0900

xindy (2.5.1.20160104-3) unstable; urgency=medium

  * cleanup patches, bump standards version (no changes necessary)
  * bump (b-)depends on clisp to avoid clisp-fasl-loader problems
    (See #877223, thanks Agustin Martin)

 -- Norbert Preining <preining@debian.org>  Thu, 12 Oct 2017 08:53:58 +0900

xindy (2.5.1.20160104-2) unstable; urgency=medium

  [ Hilmar Preuße ]
  * Patch from Agustin Martin to fix unescaped left brace
    (Closes: #826507)

  [ Norbert Preining ]
  * Use kpsewhich to search for modules.
    Patch by Akira Kakuto, TeX Live subversion: 41315 and 41316
  * bump standards version, no changes necessary
  * dh compat version 9

 -- Norbert Preining <preining@debian.org>  Mon, 19 Jun 2017 16:34:54 +0900

xindy (2.5.1.20160104-1) unstable; urgency=medium

  * Take over of maintainership into Debian TeX group.
  * Ack NMU fixes (Closes: #617378, #713496, #739143)
  * new upstream releases
  * fix FTBFS due to missing quotes around CPPFLAGS (Closes: #809053)
  * switch to quilt format from dpatch
    - rename patches
    - disable config.* dpatch scripts, replace by dh_autotools-dev_updateconfig
    - remove dpatch dependency, change source format
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Fri, 15 Jan 2016 23:01:49 +0900

xindy (2.4-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Build-Depends on texlive-fonts-recommended to fix
    FTBFS: I can't find file `ecrm1000'. (Closes: #739143)

 -- Andreas Moog <andreas.moog@warperbbs.de>  Sun, 16 Feb 2014 21:26:40 +0100

xindy (2.4-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - Add texlive-lang-greek build dependency. Seems no longer
      pulled automatically by TeXLive (Closes: #713496).
    - Bump Standards Version. No changes needed.
    - (lintian vcs-git-uses-invalid-user-uri): Use recommended URI for git
      anonymous access.
    - (lintian dm-upload-allowed-is-obsolete): Remove obsolete
      "DM-Upload-Allowed" field.
  * debian/xindy-rules.docs: Do not install NEWS. It is installed as
    changelog by debian/rules.
  * debian/rules: Use hardened build-flags.
  * Be kind to Ubuntu launchpad: These were fixed in fixed in 2.4-1.1 NMU
    - (LP: #871588).
    - (LP: #939545).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 26 Jun 2013 18:25:19 +0200

xindy (2.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Make xindy work around clisp 2.49 not bumping LISPOBJ(version..)
    thus giving wrong clisp-fasl-loader version (Closes: #617378).
    This change is a dirty hack for xindy that should be reverted
    when built against newer clisp upstream release.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 02 Sep 2011 17:19:04 +0200

xindy (2.4-1) unstable; urgency=low

  * New upstream release (closes: #555947)

  * Removed patches from the Debian package:
    + fix-manpages: the manpage in question was removed

    + rebuild-manpages: upstream updated the manpages, hence the
      problem with hyphen vs. dash is gone.

  * Set dependency on clisp-fasl-loader to ensure the correct clisp
    version is installed, because clisp's memory dumps depend on the
    version used for the dump. (closes: #580762)

  * Bumped Standards-Version; no changes needed.

  * Added debian/source/format to the source package. We still use
    format version 1.0, because we use dpatch with the script patch
    config.guess+sub.

  * Provided watch file.

  * Dropped useless dependency on texlive-xetex. It was added erroneously.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sun, 01 Aug 2010 04:31:43 +0200

xindy (2.4~pre1-3) unstable; urgency=low

  * Added clisp to the list of dependencies of xindy. (closes: #558167)

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sat, 28 Nov 2009 01:46:29 +0100

xindy (2.4~pre1-2) unstable; urgency=low

  * Added a workaround for the broken check around
    --disable-(make-rules|docs) in configure. (closes: #548451)

 -- Jörg Sommer <joerg@alea.gnuu.de>  Tue, 10 Nov 2009 19:27:53 +0100

xindy (2.4~pre1-1) unstable; urgency=low

  * New upstream release; downloaded from
    http://www.xindy.org/xindy-2.4-SNAPSHOT.tar.gz on 2009-09-20.

  * Remove dpatches:
    + latex-call and fix-stdout are applied upstream

    + fix-clisp-problems is obsolate due to new upstream source structure

  * New version requires build dependency on texlive-xetex.

  * Remove libffcall1-dev for build dependencies and replace clisp-dev by
    clisp, because the new version doesn't use an external clisp module,
    anymore.

  * Mark the xindy package buildable on any architecture, because we
    aren't limited to the architectures with external linking support
    anymore. We can build everywhere where CLISP is.

  * Added DM-Upload-Allowed to allow direct uploads by me.


