=== debian/control ===
Source: xindy
Section: text
Priority: optional
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Hilmar Preusse <hille42@web.de>
Build-Depends-Indep: texlive-latex-base,
 texlive-lang-cyrillic, texlive-lang-greek,
 texlive-latex-recommended, texlive-fonts-recommended, cm-super
Build-Depends: debhelper (>= 7), autotools-dev, flex, clisp (>= 1:2.49.20180212), dh-autoreconf
Standards-Version: 4.4.0
Homepage: http://www.xindy.org/
Vcs-Git: https://github.com/debian-tex/xindy.git
Vcs-Browser: https://github.com/debian-tex/xindy

Package: xindy
Architecture: any
Depends: xindy-rules, ${clisp:Depends}, ${shlibs:Depends}, ${perl:Depends},
  ${misc:Depends}, clisp (>= 1:2.49.20180212)
Description: index generator for structured documents like LaTeX or SGML
 xindy is an index processor that can be used to generate book-like
 indexes for arbitrary document-preparation systems. This includes
 systems such as TeX and LaTeX, the roff-family, SGML/XML-based systems
 (e.g. HTML) that process some kind of text and generate indexing
 information. The kernel system is not fixed to any specific system, but
 can be configured to work together with such systems.
 .
 In comparison to other index processors xindy has several powerful
 features that make it an ideal framework for describing and generating
 complex indices, addressing especially international indexing.

Package: xindy-rules
Architecture: all
Depends: ${misc:Depends}
Recommends: xindy
Description: rule files for xindy
 xindy is an index processor that can be used to generate book-like
 indexes for arbitrary document-preparation systems.
 .
 This package contains the rule files (the knowledge base) of xindy.
