=== debian/watch ===
version=3
https://mirror.informatik.hs-fulda.de/tex-archive/indexing/xindy/base/xindy-([\d.]*)\.tar\.gz
